
! ============ ADAMO INCLUDE FILES ============

#include "partap.inc"

! All ADAMO tables that we will access

#include "mcTrack.inc"
#include "mcEvent.inc"
#include "mcBeam.inc"
#include "mcVert.inc"

! ============ GENERAL VARIABLES ============

! Some useful constants

	real	pi
	parameter (pi = 3.14159)

! HBOOK parameters describing our row-wise ntuple

! ... technical stuff
        integer NT1, LRECL, NT_LUN
        character*8     CTOP, NT1_TITLE
        parameter (NT1=1)
        parameter (LRECL=1024)
        parameter (NT_LUN=22)
        parameter (CTOP='MYNTUPLE')
        parameter (NT1_TITLE='MyNtuple')

        integer         nt_icycle
        common /nttech/ nt_icycle

! ... ntuple entry definitions: tags
	integer NVAR
        parameter (NVAR=23)
	character*8 chtags(NVAR)
	data chtags /
     +          'ievent',
     +          'Q2',
     +          'W2',
     +          'nu',
     +          'x',
     +          'y',
     +          'weight',
     +          'quark',
     +          'polB',
     +          'polT',
! that's 10
     +          'scat_p',
     +          'scat_theta',
     +          'scat_phi',
     +          'scat_accep',
     +          'itgood',
     +          'iltype',
     +          'ilparent',
     +          'p',
     +          'theta',
     +          'phi',
! that's 20
     +          'pT',
     +          'z',
     +          'accep'
     +		/

! ... ntuple values, all real (for equivlence statements)
	real	ievent, Q2, W2, nu, x, y, weight, quark, polB, polT
	real	scat_p, scat_theta, scat_phi, scat_accep
	real	itgood, iltype, ilparent, p, theta, phi, pT, z, accep
	real	values(NVAR)
	equivalence
     +		(values(1),ievent),
     +		(values(2),Q2),
     +		(values(3),W2),
     +		(values(4),nu),
     +		(values(5),x),
     +		(values(6),y),
     +		(values(7),weight),
     +		(values(8),quark),
     +		(values(9),polB),
     +		(values(10),polT),
     +		(values(11),scat_p),
     +		(values(12),scat_theta),
     +		(values(13),scat_phi),
     +		(values(14),scat_accep),
     +		(values(15),itgood),
     +		(values(16),iltype),
     +		(values(17),ilparent),
     +		(values(18),p),
     +		(values(19),theta),
     +		(values(20),phi),
     +		(values(21),pT),
     +		(values(22),z),
     +		(values(23),accep)
	common /ntvalues/ values

! User switches 

	character	file_base*80,
     +			nt_file*80
	integer		nt_size
	real		accep_pmin,
     +			accep_thmin,
     +			accep_thmax,
     +			accep_thxmax,
     +			accep_thymin,
     +			accep_thymax
	logical		nt_split,
     +			nt_runsplit,
     +			req_accep,
     +			req_scat,
     +			req_lund,
     +			req_charge

	common /switches/ 
     +		file_base,
     +		nt_file,
     +		nt_size,
     +		accep_pmin,
     +		accep_thmin,
     +		accep_thmax,
     +		accep_thxmax,
     +		accep_thymin,
     +		accep_thymax,
     +		nt_split,
     +		nt_runsplit,
     +		req_accep,
     +		req_scat,
     +		req_lund,
     +		req_charge

! Counters (n_ denotes job-level counters, nr_ are cleared at every run)

	integer	run, ifile, nt_num, 
     +		c_nev, c_nevgen, c_ngoodtrack,
     +		cr_nev, cr_nevgen, cr_ngoodtrack
	common /counters/
     +		run, ifile, nt_num, 
     +		c_nev, c_nevgen, c_ngoodtrack, 
     +		cr_nev, cr_nevgen, cr_ngoodtrack

